# Installation
> `npm install --save @types/yaml-front-matter`

# Summary
This package contains type definitions for yaml-front-matter (https://github.com/dworthen/js-yaml-front-matter#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/yaml-front-matter.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/yaml-front-matter/index.d.ts)
````ts
/// <reference types="node" />

import { LoadOptions } from "js-yaml";

export function loadFront(
    content: string | Buffer,
    options?: LoadOptions,
): {
    readonly [key: string]: any;
    readonly __content: string;
};

export function loadFront<contentKeyName extends string>(
    content: string | Buffer,
    options: LoadOptions & { contentKeyName: contentKeyName },
):
    & {
        readonly [key in contentKeyName]: string;
    }
    & {
        readonly [key: string]: any;
    };

export function safeLoadFront(
    content: string | Buffer,
    options?: LoadOptions,
): {
    readonly [key: string]: any;
    readonly __content: string;
};

export function safeLoadFront<contentKeyName extends string>(
    content: string | Buffer,
    options: LoadOptions & { contentKeyName: contentKeyName },
):
    & {
        readonly [key in contentKeyName]: string;
    }
    & {
        readonly [key: string]: any;
    };

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: [@types/js-yaml](https://npmjs.com/package/@types/js-yaml), [@types/node](https://npmjs.com/package/@types/node)

# Credits
These definitions were written by [ZHAO Jinxiang](https://github.com/xiaoxiangmoe).
